<template>
  <j-modal
    :title="'保养标准明细'"
    :width="1600"
    :visible="visible"
    :maskClosable="false"
    switchFullscreen
    @cancel="handleCancel"
    >
    <daily-maintenance-standard-detail :maintenanceStandardId="mainId"></daily-maintenance-standard-detail>
    <template slot="footer">
      <a-button
        :style="{marginRight: '8px'}"
        @click="handleCancel"
      >
        关闭
      </a-button>
    </template>
  </j-modal>
</template>
<script>
import DailyMaintenanceStandardDetail from './DailyMaintenanceStandardDetail'
  export default {
    name: 'EquipmentMaintenancePlanModal',
    components: {
      DailyMaintenanceStandardDetail
    },
    props:{
        mainId: {
        type: String,
        default: '-1',
        required: false
      }
    },
    data() {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false
      }
    },
    methods:{
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>

<style scoped>
</style>